Upstream information

CVE-2020-12823 at MITRE

Description

OpenConnect 8.09 has a buffer overflow, causing a denial of service (application crash) or possibly unspecified other impact, via crafted certificate data to get_cert_name in gnutls.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1171862 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP4
  • openconnect >= 7.08-3.12.1
  • openconnect-lang >= 7.08-3.12.1
Patchnames:
SUSE-SLE-WE-12-SP4-2020-1807
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • openconnect >= 7.08-3.12.1
  • openconnect-lang >= 7.08-3.12.1
Patchnames:
SUSE-SLE-WE-12-SP5-2020-1807
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Workstation Extension 15 SP1
  • openconnect >= 7.08-6.9.1
  • openconnect-devel >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2020-1930
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Workstation Extension 15 SP2
  • openconnect >= 7.08-6.9.1
  • openconnect-devel >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2020-1930
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Workstation Extension 15 SP3
  • openconnect >= 7.08-6.9.1
  • openconnect-devel >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP3 GA openconnect-7.08-6.9.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Linux Enterprise Workstation Extension 15 SP4
  • openconnect >= 7.08-6.9.1
  • openconnect-devel >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP4 GA openconnect-7.08-6.9.1
openSUSE Leap 15.1
  • openconnect >= 7.08-lp151.6.9.1
  • openconnect-devel >= 7.08-lp151.6.9.1
  • openconnect-doc >= 7.08-lp151.6.9.1
  • openconnect-lang >= 7.08-lp151.6.9.1
Patchnames:
openSUSE-2020-997
openSUSE Leap 15.2
  • openconnect >= 7.08-lp152.9.4.2
  • openconnect-devel >= 7.08-lp152.9.4.2
  • openconnect-doc >= 7.08-lp152.9.4.2
  • openconnect-lang >= 7.08-lp152.9.4.2
Patchnames:
openSUSE-2020-1027
openSUSE Leap 15.3
  • openconnect >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
openSUSE Leap 15.3 GA openconnect-7.08-6.9.1
openSUSE Leap 15.4
  • openconnect >= 7.08-6.9.1
  • openconnect-lang >= 7.08-6.9.1
Patchnames:
openSUSE Leap 15.4 GA openconnect-7.08-6.9.1
openSUSE Tumbleweed
  • libopenconnect5 >= 8.10-2.6
  • openconnect >= 8.10-2.6
  • openconnect-bash-completion >= 8.10-2.6
  • openconnect-devel >= 8.10-2.6
  • openconnect-doc >= 8.10-2.6
  • openconnect-lang >= 8.10-2.6
Patchnames:
openSUSE Tumbleweed GA libopenconnect5-8.10-2.6


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 7.1 openconnect Affected
SUSE Linux Enterprise Desktop 12 SP4 openconnect Released
SUSE Linux Enterprise Desktop 12 SP5 openconnect Released
SUSE Linux Enterprise Desktop 15 openconnect Affected
SUSE Linux Enterprise Desktop 15 SP1 openconnect Released
SUSE Linux Enterprise Desktop 15 SP2 openconnect Released
SUSE Linux Enterprise Desktop 15 SP3 openconnect Affected
SUSE Linux Enterprise Desktop 15 SP4 openconnect Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openconnect Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openconnect Affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 openconnect Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 openconnect Affected
SUSE Linux Enterprise Server 12 SP4 openconnect Released
SUSE Linux Enterprise Server 12 SP5 openconnect Released
SUSE Linux Enterprise Server 15 openconnect Affected
SUSE Linux Enterprise Server 15 SP1 openconnect Released
SUSE Linux Enterprise Server 15 SP2 openconnect Released
SUSE Linux Enterprise Server 15 SP3 openconnect Affected
SUSE Linux Enterprise Server 15 SP4 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openconnect Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 openconnect Released
SUSE Linux Enterprise Workstation Extension 12 SP5 openconnect Released
SUSE Linux Enterprise Workstation Extension 15 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 openconnect Released
SUSE Linux Enterprise Workstation Extension 15 SP2 openconnect Released
SUSE Linux Enterprise Workstation Extension 15 SP3 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP4 openconnect Affected
SUSE Manager Proxy 4.2 openconnect Affected
SUSE Manager Proxy 4.3 openconnect Affected
SUSE Manager Retail Branch Server 4.2 openconnect Affected
SUSE Manager Retail Branch Server 4.3 openconnect Affected
SUSE Manager Server 4.2 openconnect Affected
SUSE Manager Server 4.3 openconnect Affected


SUSE Timeline for this CVE

CVE page created: Mon May 18 20:48:53 2020
CVE page last modified: Tue Nov 29 15:11:25 2022